Subject: Re: bug#22146: Stack overflow in reftex-parse-all

From: Tassilo Horn <[email-masked]>
Date: Sun, 13 Dec 2015 19:48:35 +0100

Mosè Giordano <[email-masked]> writes:

>> I tried going up to a maximum of 30000 and it still didn't overflow,
>
> It does for me, from 16667 to be precise.

Interesting.

>> so I think that's an appropriate fix (say, maybe 2000 instead of 1000
>> to be extra safe).  Feel free to change `reftex-label-regexps'
>> accordingly.
>
> I don't have write access to Emacs repo :-)

Good excuse for not having to touch reftex. :-)

I've changed it now to use \{0,2000\} instead of *.

Bye,
Tassilo